@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2009 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR

rem Stop eWAS
echo Stopping eWAS..... this could take a few minutes.
echo .

IF "%1"=="" GOTO NoAuthentication
IF "%2"=="" GOTO NoAuthentication

echo Stopping eWAS with authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1 -username %1 -password %2
GOTO AfterStop

:NoAuthentication
echo Stopping eWAS without authentication parameters
call "%TUAM_HOME%/ewas/bin/stopServer.bat" server1

:AfterStop


echo Applying fix...
echo .

COPY "%TUAM_HOME%\lib\aucDataAccess.jar" "%TUAM_HOME%\lib\aucDataAccess.jar.patch15"
COPY aucDataAccess.jar "%TUAM_HOME%\lib"

COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucDataAccess.jar" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib\aucDataAccess.jar.patch15"
COPY aucDataAccess.jar "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\lib"

COPY "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\binding\LoadTrackingBinding.class" "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\binding\LoadTrackingBinding.class.patch15"
COPY LoadTrackingBinding.class "%TUAM_HOME%\ewas\systemApps\isclite.ear\aucConsole.war\WEB-INF\classes\com\ibm\tivoli\tuam\console\binding\"

COPY "%TUAM_HOME%\bin\IBM.TUAM.CommonLibrary.dll" "%TUAM_HOME%\bin\IBM.TUAM.CommonLibrary.dll.patch15"
COPY IBM.TUAM.CommonLibrary.dll "%TUAM_HOME%\bin"

COPY "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.CommonLibrary.dll" "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.CommonLibrary.dll.patch15"
COPY IBM.TUAM.CommonLibrary.dll "%TUAM_HOME%\server\financial_modeler\bin"

COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll.patch15"
COPY IBM.TUAM.CommonLibrary.dll "%TUAM_HOME%\server\web2\bin\"


COPY "%TUAM_HOME%\bin\IBM.TUAM.Messages.dll" "%TUAM_HOME%\bin\IBM.TUAM.Messages.dll.patch15"
COPY IBM.TUAM.Messages.dll "%TUAM_HOME%\bin"

COPY "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.Messages.dll" "%TUAM_HOME%\server\financial_modeler\bin\IBM.TUAM.Messages.dll.patch15"
COPY IBM.TUAM.Messages.dll "%TUAM_HOME%\server\financial_modeler\bin"

COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.Messages.dll" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.Messages.dll.patch15"
COPY IBM.TUAM.Messages.dll "%TUAM_HOME%\server\web2\bin\"


COPY "%TUAM_HOME%\bin\BatchReporting.exe" "%TUAM_HOME%\bin\BatchReporting.exe.patch15"
COPY BatchReporting.exe "%TUAM_HOME%\bin"

rem Restart eWas
echo .
echo Starting eWAS....
echo .
call "%TUAM_HOME%/ewas/bin/startServer.bat" server1
echo .
echo Fix has been applied sucessfully.
goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1 and then rerun fix.

:DONE
endlocal

